#pragma once
#include <bits/signal.h>
#include <luna/LinkedList.h>

struct Thread;
struct Clock;

class Timer : public LinkedListNode<Timer>
{
  public:
    u64 delta_ticks;
    u64 total_ticks;
    Thread* thread;
    int signo { SIGALRM };
    bool restart { false };

    Clock* clock;
};
